Bug 1900763 - python-typing-inspect fails to build with Python 3.10: AssertionError: {'x': ForwardRef('int'), 'y': ForwardRef('int')} != {'x': <class 'int'>, 'y': <class 'int'>}
Summary: python-typing-inspect fails to build with Python 3.10: AssertionError: {'x': ...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-typing-inspect
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anna Khaitovich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-23 16:46 UTC by Tomáš Hrnčiar
Modified: 2021-02-09 16:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-11-23 16:46:53 UTC
python-typing-inspect fails to build with Python 3.10.0a2.

======================================================================
FAIL: test_typed_dict (test_typing_inspect.GetUtilityTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/typing_inspect-0.6.0/test_typing_inspect.py", line 402, in test_typed_dict
    self.assertEqual(typed_dict_keys(TD), {'x': int, 'y': int})
AssertionError: {'x': ForwardRef('int'), 'y': ForwardRef('int')} != {'x': <class 'int'>, 'y': <class 'int'>}
- {'x': ForwardRef('int'), 'y': ForwardRef('int')}
+ {'x': <class 'int'>, 'y': <class 'int'>}

----------------------------------------------------------------------
Ran 22 tests in 0.010s

FAILED (failures=1, skipped=3)
Test failed: <unittest.runner.TextTestResult run=22 errors=0 failures=1>
error: Test failed: <unittest.runner.TextTestResult run=22 errors=0 failures=1>
error: Bad exit status from /var/tmp/rpm-tmp.uTasEw (%check)
    Bad exit status from /var/tmp/rpm-tmp.uTasEw (%check)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01773463-python-typing-inspect/

For all our attempts to build python-typing-inspect with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-typing-inspect/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Fedora Admin user for bugzilla script actions 2021-01-26 00:06:26 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 2 Ben Cotton 2021-02-09 15:27:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.